For the complete documentation index, see llms.txt. This page is also available as Markdown.

Device Type

get

Device type Resource Fields

Field

id

slug

name

is_private

is_of__cpu_architecture

belongs_to__device_family


Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
get/v7/device_type(<ID>)
GET /v7/device_type(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
DEVICE TYPE SLUGanyRequired
get/v7/device_type(slug='<DEVICE TYPE SLUG>')
GET /v7/device_type(slug='<DEVICE TYPE SLUG>') HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get/v7/device_type
GET /v7/device_type HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?